Fetch movie List
curl --request GET \
--url 'https://api.themoviedb.org/3/movie/{{movie_id}}/lists' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{{movie_id}}/lists"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{{movie_id}}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 558449,
"page": 1,
"results": [
{
"description": "",
"favorite_count": 0,
"id": 7053491,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6682,
"list_type": "movie",
"name": "New HD (Popular)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15557,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11080,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 143813,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15300,
"list_type": "movie",
"name": "MNR",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 113172,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 485,
"list_type": "movie",
"name": "Action Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 126846,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 27,
"list_type": "movie",
"name": "Brian",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 34971,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1091,
"list_type": "movie",
"name": "DList",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8500995,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 34,
"list_type": "movie",
"name": "Movies I Saw in Cinemas in 2024",
"poster_path": null
},
{
"description": "Filmes e séries vistos em 2024",
"favorite_count": 0,
"id": 8306784,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 45,
"list_type": "movie",
"name": "2024",
"poster_path": null
},
{
"description": "Liste qui affiche les films les plus populaire en salle en France sur une période de 3 mois \r\nMise à jour hebdomadaire.",
"favorite_count": 0,
"id": 8227958,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"list_type": "movie",
"name": "Top Cinéma du moment (3 mois)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 996,
"list_type": "movie",
"name": "Watched Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8310835,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8474775,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 19,
"list_type": "movie",
"name": "Por André",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 116928,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 547,
"list_type": "movie",
"name": "RADARR",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8308619,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 180,
"list_type": "movie",
"name": "new list",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8289772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 573,
"list_type": "movie",
"name": "Founders TW",
"poster_path": null
},
{
"description": "HTM Founder's Favorites",
"favorite_count": 0,
"id": 8259538,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 764,
"list_type": "movie",
"name": "Founders Favorites",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8500910,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"list_type": "movie",
"name": "Movies to look forward too",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 51,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8297247,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 166,
"list_type": "movie",
"name": "Library",
"poster_path": null
}
],
"total_pages": 7,
"total_results": 127
}Movies
Fetch movie List
This endpoint allows you to get the lists that a movie has been added to.
GET
/
movie
/
{movie_id}
/
lists
Fetch movie List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Defaults to en-US
Example:
"string"
Defaults to 1
Example:
"int32"
Response
200 - application/json
fetch movie list
Example:
558449
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "",
"favorite_count": 0,
"id": 7053491,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 6682,
"list_type": "movie",
"name": "New HD (Popular)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8168597,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15557,
"list_type": "movie",
"name": "movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8238235,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11080,
"list_type": "movie",
"name": "My Movie Library",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 143813,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 15300,
"list_type": "movie",
"name": "MNR",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 113172,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 485,
"list_type": "movie",
"name": "Action Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 126846,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 27,
"list_type": "movie",
"name": "Brian",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 34971,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 1091,
"list_type": "movie",
"name": "DList",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8500995,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 34,
"list_type": "movie",
"name": "Movies I Saw in Cinemas in 2024",
"poster_path": null
},
{
"description": "Filmes e séries vistos em 2024",
"favorite_count": 0,
"id": 8306784,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 45,
"list_type": "movie",
"name": "2024",
"poster_path": null
},
{
"description": "Liste qui affiche les films les plus populaire en salle en France sur une période de 3 mois \r\nMise à jour hebdomadaire.",
"favorite_count": 0,
"id": 8227958,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 20,
"list_type": "movie",
"name": "Top Cinéma du moment (3 mois)",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 134725,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 996,
"list_type": "movie",
"name": "Watched Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8310835,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11,
"list_type": "movie",
"name": "Movies",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8474775,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 19,
"list_type": "movie",
"name": "Por André",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 116928,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 547,
"list_type": "movie",
"name": "RADARR",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8308619,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 180,
"list_type": "movie",
"name": "new list",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8289772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 573,
"list_type": "movie",
"name": "Founders TW",
"poster_path": null
},
{
"description": "HTM Founder's Favorites",
"favorite_count": 0,
"id": 8259538,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 764,
"list_type": "movie",
"name": "Founders Favorites",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8500910,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"list_type": "movie",
"name": "Movies to look forward too",
"poster_path": null
},
{
"description": "A list of Movies running in Theaters",
"favorite_count": 0,
"id": 63802,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 51,
"list_type": "movie",
"name": "Now Running",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8297247,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 166,
"list_type": "movie",
"name": "Library",
"poster_path": null
}
]
Example:
7
Example:
127
⌘I